package qt;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

public class SmokeInvocation implements InvocationHandler {
	private Object	_obj;
	private long	_qt;

	public SmokeInvocation() {
		System.out.println("SmokeInvocation()");
	}

	public SmokeInvocation(Object obj, long qt) {
		_obj = obj;
		_qt = qt;
		System.out.println("SmokeInvocation(obj, qt)");
	}
	
	public Object invoke(Object proxy, Method method, Object[] args)
					throws Throwable
	{
		System.out.println("SmokeInvocation.invoke: " + method.toString());
		if (method.getName().startsWith("new")) {
			return new Long(99);
		}
		return null;
	}
	
}
	
